QGIS Application - Feature request #13523
Provide an easy upgrade from GRASS 6 to GRASS 7
2015-10-05 10:56 PM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21567
Description

GRASS 6 vectors have to be upgraded to be used in GRASS 7. | suggest to provide an easy tool to do that, or a hint for user about what
to do.
IMHO there are two main options, non exclusive:
- a contextual menu on the browser (this may only include v.build, the db switch must be made separately)
- an additional command "Migrate grass vectors" which points to a simple script chaining the three commands described in
https://grasswiki.osgeo.org/wiki/Convert_all GRASS 6 vector maps to GRASS 7
| like the second option, perhaps adding a tooltip on the Browser "Please migrate vectors by using the "Migrate grass vectors’

command"

History

#1 - 2015-10-06 04:47 AM - Radim Blazek

qgis.v.upgrade.py was added in commit:484f94c.

#2 - 2015-10-13 03:44 AM - Paolo Cavallini
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Perfect, thanks.
